%define rel   1

Name: libkdeedu
Summary: Free Educational Software based on the KDE technologies
Version: 4.8.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdeedu/libkdeedu
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

# Add conflicts again khangman since some kvtml files were stored in the khangman package


%description 
Runtime library for KDE Education Application

#------------------------------------------------------------------------------

%package common
Summary: Common files needed by kdeedu related applications
BuildArch: noarch
Conflicts: khangman < 4.6.90
Conflicts: kanagram < 4.6.90
Obsoletes: kdeedu4 < 4.6.90
Conflicts: kdeedu4-core < 4.6.90
Obsoletes: libkdeedu < 4.7.90

%description common
This packages provides icons and contains KEduVocDocument and its related class
for reading from/writing to the KVTML format (and others too).
It's used by kdeedu related applications ( kanagram, khangman,kwordquiz)

%files common
%doc README AUTHORS
%dir %_kde_appsdir/kvtml/en
%_kde_appsdir/kvtml/en/animals.kvtml
%_kde_appsdir/kvtml/en/clothing.kvtml
%_kde_appsdir/kvtml/en/computers.kvtml
%_kde_appsdir/kvtml/en/currencies.kvtml
%_kde_appsdir/kvtml/en/easy.kvtml
%_kde_appsdir/kvtml/en/fruits.kvtml
%_kde_appsdir/kvtml/en/hard.kvtml
%_kde_appsdir/kvtml/en/inventions.kvtml
%_kde_appsdir/kvtml/en/medium.kvtml
%_kde_appsdir/kvtml/en/numbers.kvtml
%_kde_appsdir/kvtml/en/objects.kvtml
%_kde_appsdir/kvtml/en/people.kvtml
%_kde_appsdir/kvtml/en/professions.kvtml
%_kde_appsdir/kvtml/en/space.kvtml
%_kde_appsdir/kvtml/en/sports.kvtml
%_kde_appsdir/kvtml/en/transportation.kvtml
%_kde_appsdir/kvtml/en/vegetables.kvtml
%_kde_appsdir/kvtml/en/worldcapitals.kvtml
%_kde_iconsdir/hicolor/*/actions/editplots.png
%_kde_iconsdir/hicolor/*/actions/functionhelp.png
%_kde_iconsdir/hicolor/*/actions/maximum.png
%_kde_iconsdir/hicolor/*/actions/minimum.png
%_kde_iconsdir/hicolor/*/actions/newdifferential.png
%_kde_iconsdir/hicolor/*/actions/newfunction.png
%_kde_iconsdir/hicolor/*/actions/newimplicit.png
%_kde_iconsdir/hicolor/*/actions/newparametric.png
%_kde_iconsdir/hicolor/*/actions/newpolar.png
%_kde_iconsdir/hicolor/*/actions/resetview.png
%_kde_iconsdir/hicolor/scalable/actions/deriv_func.svgz
%_kde_iconsdir/hicolor/scalable/actions/editconstants.svgz
%_kde_iconsdir/hicolor/scalable/actions/editplots.svgz
%_kde_iconsdir/hicolor/scalable/actions/functionhelp.svgz
%_kde_iconsdir/hicolor/scalable/actions/integral_func.svgz
%_kde_iconsdir/hicolor/scalable/actions/maximum.svgz
%_kde_iconsdir/hicolor/scalable/actions/minimum.svgz
%_kde_iconsdir/hicolor/scalable/actions/newfunction.svgz
%_kde_iconsdir/hicolor/scalable/actions/newparametric.svgz
%_kde_iconsdir/hicolor/scalable/actions/newpolar.svgz
%_kde_iconsdir/hicolor/scalable/actions/resetview.svgz
%_kde_iconsdir/hicolor/*/actions/coords.png
%_kde_iconsdir/hicolor/*/actions/deriv_func.png
%_kde_iconsdir/hicolor/*/actions/editconstants.png
%_kde_iconsdir/hicolor/*/actions/func.png
%_kde_iconsdir/hicolor/*/actions/integral_func.png
%_kde_iconsdir/hicolor/*/actions/lessen.png
%_kde_iconsdir/hicolor/*/actions/magnify.png

#------------------------------------------------------------------------------

%define keduvocdocument_major 4
%define libkeduvocdocument %mklibname keduvocdocument %{keduvocdocument_major}

%package -n %libkeduvocdocument
Summary: Runtime library for KDE Education Application
Group: System/Libraries

%description -n %libkeduvocdocument
Runtime library for KDE Education Application

%files -n %libkeduvocdocument
%_kde_libdir/libkeduvocdocument.so.%{keduvocdocument_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkeduvocdocument = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_includedir/libkdeedu/
%_kde_libdir/libkeduvocdocument.so
%_kde_libdir/libqtmmlwidget.a
%dir   %_kde_libdir/cmake/%{name}
%_kde_libdir/cmake/%{name}/LibKdeEduConfig.cmake
%_kde_libdir/cmake/%{name}/LibKdeEduTargets-release.cmake
%_kde_libdir/cmake/%{name}/LibKdeEduTargets.cmake

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228473
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221507
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198107
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 190853
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 185792
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182171
- Update tarball to KDE SC 4.7.90
- create a -common package & build it as noarch
- use gold linker
- build with  -DKDE4_ENABLE_FINAL=ON
- remove redundant requires
- Update URL
- use kde4 macros

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176515
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161397
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151979
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140670
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122299
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Thu Jun 30 2011 fwang <fwang> 4.6.90-4.mga2
+ Revision: 116239
- do not obsolete old packages

* Wed Jun 29 2011 mikala <mikala> 4.6.90-3.mga2
+ Revision: 115813
- Add obsoletes to get ride of kdeedu4, kdeedu4-core & kdeedu4-devel

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115676
- Fix License
- Clean spec
- Add conflicts against kanagram
- Fix conflicts against khangman
- Add an obsolete against kdeedu4-core
- imported package libkdeedu

  + fwang <fwang>
    - add conflits on older package for upgrading

